Module java.desktop
Package javax.swing.plaf.metal

## Class MetalIconFactory.TreeLeafIcon

- java.lang.Object
- - javax.swing.plaf.metal.MetalIconFactory.FileIcon16
  - - javax.swing.plaf.metal.MetalIconFactory.TreeLeafIcon

All Implemented Interfaces:
  Serializable, Icon

Enclosing class:
  MetalIconFactory

    public static class MetalIconFactory.TreeLeafIcon
    extends MetalIconFactory.FileIcon16

The class represents a tree leaf icon.

### Constructor Summary

Constructors
Constructor and Description
`TreeLeafIcon()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAdditionalHeight()` Returns an additional height of the icon.
`int` `getShift()` Returns a shift of the icon.

### Methods inherited from class javax.swing.plaf.metal.MetalIconFactory.FileIcon16

`getIconHeight, getIconWidth, paintIcon`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeLeafIcon

    public TreeLeafIcon()

### Method Detail

#### getShift

    public int getShift()

Description copied from class: `MetalIconFactory.FileIcon16`
Returns a shift of the icon.

Overrides:
  `getShift` in class `MetalIconFactory.FileIcon16`
Returns:
  a shift of the icon

#### getAdditionalHeight

    public int getAdditionalHeight()

Description copied from class: `MetalIconFactory.FileIcon16`
Returns an additional height of the icon.

Overrides:
  `getAdditionalHeight` in class `MetalIconFactory.FileIcon16`
Returns:
  an additional height of the icon